Brother lpr driver failed installation

Bug #138378 reported by Inalus on 2007-09-09
8
Affects Status Importance Assigned to Milestone
Ubuntu
Undecided
Unassigned

Bug Description

I went to the Brother website and found the appropriate lpr Linux driver for my model (mfc8500). The website seemed to indicate that the lpr driver needed to be installed before installing the cups driver. I clicked on the download button and when asked, told it to run the program. It appeared to install the package. I then followed the same procedure for the cups driver file. It also appeared to install, but when I tried to add the printer, it was still not on the list of available printers. I tried to re-install the drivers when I received an error message saying that I the file was corrupt or I did not have permission to access it. I gave up on installing it and then went to look at other drivers, so I tried to open the synaptic package manager. When I opened it, it said:

E: The package mfc8500lpr needs to be reinstalled, but I can't find an archive for it.
E: Internal error opening cache (1). Please report.

It will not install anything else now.

Inalus (scottkstevens) wrote :

I found a solution to the problem. I had searched for one before, but after searching again with different search terms, I found that issuing this instruction worked:

sudo dpkg --remove --force-remove-reinstreq mfc8500lpr

After warning against removal, the system went ahead and performed the removal (since it was forced) and then it restarted cups.

All working fine now.

Przemek K. (azrael) wrote :

Unfortunately it doesn't work for me with Brother MFC-440CN driver :/

azrael@azrael-laptop:~/MyStuff/Download$ LC_ALL=en_US sudo dpkg --remove --force-remove-reinstreq mfc440cncupswrapper
dpkg - warning, overriding problem because --force enabled:
 Package is in a very bad inconsistent state - you should
 reinstall it before attempting a removal.
(Reading database ... 147557 files and directories currently installed.)
Removing mfc440cncupswrapper ...
/var/lib/dpkg/info/mfc440cncupswrapper.prerm: 3: /usr/local/Brother/Printer/mfc440cn/cupswrapper/cupswrappermfc440cn: not found
dpkg: error processing mfc440cncupswrapper (--remove):
 subprocess pre-removal script returned error exit status 127
/var/lib/dpkg/info/mfc440cncupswrapper.postinst: 3: /usr/local/Brother/Printer/mfc440cn/cupswrapper/cupswrappermfc440cn: not found
cp: cannot stat `/usr/share/cups/model/brmfc440cn.ppd': No such file or directory
dpkg: error while cleaning up:
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 mfc440cncupswrapper

Przemek K. (azrael) wrote :

Also see bugs #25966 and #16704

Rhett Weathers (weatherstitle) wrote :
Download full text (3.1 KiB)

Similar problem:
Downloaded and installed lpr printer driver for Brother MFC8500. This is what happened:

rhett@AthlonXP2100:~$ sudo dpkg -i --force-all mfc8500lpr-1.1.2-1.i386.deb
(Reading database ... 88983 files and directories currently installed.)
Preparing to replace mfc8500lpr 1.1.2-1 (using mfc8500lpr-1.1.2-1.i386.deb) ...
Unpacking replacement mfc8500lpr ...
/var/lib/dpkg/info/mfc8500lpr.postrm: 3: /etc/init.d/lpd: not found
dpkg: warning - old post-removal script returned error exit status 127
dpkg - trying script from the new package instead ...
/var/lib/dpkg/tmp.ci/postrm: 3: /etc/init.d/lpd: not found
dpkg: error processing mfc8500lpr-1.1.2-1.i386.deb (--install):
subprocess new post-removal script returned error exit status 127
/var/lib/dpkg/tmp.ci/postrm: 3: /etc/init.d/lpd: not found
dpkg: error while cleaning up:
subprocess post-removal script returned error exit status 127
Errors were encountered while processing:
mfc8500lpr-1.1.2-1.i386.deb

Now Package Manager is jamed;

"Could not initialize the package information
A unresolvable problem occurred while initializing the package information.
Please report this bug against the 'update-manager' package and include the following error message:
'E:The package mfc8500lpr needs to be reinstalled, but I can't find an archive for it.'"

I have removed the driver from my desktop and attempted to remove the package;

"if your package manager gets stuck all you need so is delete the offending deb from /var/cache/apt/archives"
There is no archive for it there...I think this is part of the problem.

I searched for any mfc8500lpr files on my computer to delete but there were none.

"sudo dpkg --remove --force-remove-reinstreq mfc8500lpr"
It did attempt to remove, with errors (I did not get to save the verbose) but I am still getting a jammed package manger with the same warning as above.

When I run the same command sentence again, this happens;
rhett@AthlonXP2100:~$ sudo dpkg --remove --force-remove-reinstreq mfc8500lpr
[sudo] password for rhett:
dpkg - warning, overriding problem because --force enabled:
 Package is in a very bad inconsistent state - you should
 reinstall it before attempting a removal.
(Reading database ... 88969 files and directories currently installed.)
Removing mfc8500lpr ...
/var/lib/dpkg/info/mfc8500lpr.postrm: 3: /etc/init.d/lpd: not found
dpkg: error processing mfc8500lpr (--remove):
 subprocess post-removal script returned error exit status 127
Errors were encountered while processing:
 mfc8500lpr

Obviously, no printing.

This started by trying to install printer (Brother MFC 8500) in Printer Manager with a CUPS driver. It recognizes my printer, suggests a driver (something other than 8500) and completes. Then, nothing prints. It sends documents to the que and my printer says it is communicating with the PC and then everything stops. Que goes blank, printer goes back to normal, nothing prints.
So I went to Brother and downloaded the driver and instructions, EVERYTHING related to this driver install, installed the lpr driver and now I am at this point.
I have installed and re-installed my OS and tried this many different ways and have the same results.
Ubun...

Read more...

MrGrey (greycodner) wrote :

A simple printer install is proving a real headache. Had above problem where could not remove printer drivers and broke my ability to apt-get or use Synaptic.
http://ubuntuforums.org/archive/index.php/t-548840.html
Remove all reference to your drivers, (for me it was `mfc440cncupswrapper',) from /var/lib/dpkg/info.
Then run
sudo dpkg --remove --force-remove-reinstreq mfc440cncupswrapper

Now I'm back to square one... *sigh* :(

Przemek K. (azrael) wrote :

The Brother printer drivers are being packaged for Ubuntu 8.04. See bug #25966

Yasio (yasio-tomek) wrote :

I've got problem with scan in my mfc 235C. i installed brscan2 and when i used xsane on destop i saw a announcement: ' couldn't open a device :'brother2:bus5;dev1'. Error during operation Input/Output '.

Then i tried remove brscan2 but ...

Usuwanie brscan2 ...
rmdir: /usr/local/Brother/sane/GrayCmData/ALL: No such file or directory
rmdir: /usr/local/Brother/sane/GrayCmData/AL: No such file or directory
rmdir: /usr/local/Brother/sane/GrayCmData: No such file or directory
rmdir: /usr/local/Brother/sane: No such file or directory
dpkg: błąd przetwarzania brscan2 (--remove):
podproces post-removal script zwrócił kod błędu 1
Wystąpiły błędy podczas przetwarzania:
brscan2
gdebi-gtk: Fatal IO error 9 (Bad file descriptor) on X server :0.0.

Maybe Przemysław Kulczycki translate some polish words because i won't misled you if i used wrong word in translation.

Yasio (yasio-tomek) wrote :

my error in english

tomek@tomek-laptop:~$ LC_ALL=en_US sudo dpkg --remove --force-remove-reinstreq brscan2
[sudo] password for tomek:
(Reading database ... 151959 files and directories currently installed.)
Removing brscan2 ...
rmdir: /usr/local/Brother/sane/GrayCmData/ALL: No such file or directory
rmdir: /usr/local/Brother/sane/GrayCmData/AL: No such file or directory
rmdir: /usr/local/Brother/sane/GrayCmData: No such file or directory
rmdir: /usr/local/Brother/sane: No such file or directory
dpkg: error processing brscan2 (--remove):
 subprocess post-removal script returned error exit status 1
Errors were encountered while processing:
 brscan2

The Problems being described here pertain to the debs from the brother website. There are now printer packages for these printers in the Ubuntu repositories for 8.04. Unfortunatly we couldn't get scanner drivers done. Please completely remove the brother debs for printer's and install those from the repositories. If I remember right saivann also has packages prepared for 7.10. a link should be available on the bug report https://bugs.launchpad.net/ubuntu/+bug/25966. The scanners must (unfortuanately) still be run with brothers packages.

Jeremy

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers